Solid Edge FrameworkSupport Type Library
AddByCenter Method
The coordinates of the center point of the ellipse.
The coordinates of the center point of the ellipse.
The coordinates of the point that defines the end of the major axis for the ellipse.
The coordinates of the point that defines the end of the major axis for the ellipse.
Specifies the ratio of the length of the minor axis relative to the major axis.
A member of the Geom2dOrientationConstants constant set that specifies the direction (clockwise or counterclockwise) in which the ellipse is drawn from the major axis.
Specifies in radians the angle along the elliptical arc that defines the beginning point of the arc.
Specifies in radians the angle along the elliptical arc that defines the end point of the arc.
Description
Uses a center point to create a CenterMark, Ellipse2d, or EllipticalArc2d object.
Syntax
Visual Basic
Public Function AddByCenter( _
   ByVal xCenter As Double, _
   ByVal yCenter As Double, _
   ByVal xMajorAxis As Double, _
   ByVal yMajorAxis As Double, _
   ByVal Ratio As Double, _
   ByVal Orientation As Geom2dOrientationConstants, _
   ByVal StartAngle As Double, _
   ByVal EndAngle As Double _
) As EllipticalArc2d
Parameters
xCenter
The coordinates of the center point of the ellipse.
yCenter
The coordinates of the center point of the ellipse.
xMajorAxis
The coordinates of the point that defines the end of the major axis for the ellipse.
yMajorAxis
The coordinates of the point that defines the end of the major axis for the ellipse.
Ratio
Specifies the ratio of the length of the minor axis relative to the major axis.
Orientation
ValueDescription
igGeom2dOrientClockwiseObjects drawn Clockwise
igGeom2dOrientCounterClockwiseObjects drawn Counter Clockwise
A member of the Geom2dOrientationConstants constant set that specifies the direction (clockwise or counterclockwise) in which the ellipse is drawn from the major axis.
StartAngle
Specifies in radians the angle along the elliptical arc that defines the beginning point of the arc.
EndAngle
Specifies in radians the angle along the elliptical arc that defines the end point of the arc.
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeFramework.Application
    Dim objDoc As SolidEdgePart.PartDocument
    Dim objEllpArcs As SolidEdgeFrameworkSupport.EllipticalArcs2d
    Dim objEllpArc As SolidEdgeFrameworkSupport.EllipticalArc2d
    Dim dblStrt As Double
    Dim dblFin As Double
    Dim sDumpStatus As String    ' Used for temporary storage of datadump return string
    ' Report errors
    Const PI = 3.14159265358979
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.PartDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    'Create an Elliptical Arcs2d collection object
    Set objEllpArcs = objDoc.ProfileSets.Add.Profiles.Add(pRefPlaneDisp:= _
                                                          objDoc.RefPlanes(1)).EllipticalArcs2d
    'Create an EllipticalArc object
    dblStrt = 180 * PI / 180
    dblFin = 230 * PI / 180
    Set objEllpArc = objEllpArcs.AddByCenter(xCenter:=0.02, yCenter:=0.02, _
                                             xMajoraxis:=0.03, yMajoraxis:=0.02, Ratio:=0.5, _
                                             Orientation:=0, StartAngle:=dblStrt, EndAngle:=dblFin)
    ' USER DISPLAY
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objEllpArcs = Nothing
    Set objEllpArc = Nothing
End Sub
See Also

EllipticalArcs2d Collection  | EllipticalArcs2d Members

Send comments on this topic.